var Settings = function(air) { this.air = air; }

Settings.prototype = {

    'iTunesXmlPath': '',
    'twitterUser': '',
    'twitterPass': '',
    'startAtLogin': 0,
    
    'loadSettings': function() {
        try {
            var storedValue = this.air.EncryptedLocalStore.getItem("iTunesXmlPath");
            if (storedValue != "") {
                this.iTunesXmlPath = storedValue.readUTFBytes(storedValue.length);
            }

            storedValue = this.air.EncryptedLocalStore.getItem("twitterUser");
            if (storedValue != "") {    
                this.twitterUser = storedValue.readUTFBytes(storedValue.length);
            }

            storedValue = this.air.EncryptedLocalStore.getItem("twitterPass");
            if (storedValue != "") {    
                this.twitterPass = storedValue.readUTFBytes(storedValue.length);
            }
        
            storedValue = this.air.EncryptedLocalStore.getItem("startAtLogin");
            if (storedValue != "") {    
                this.startAtLogin = storedValue.readInt();
            }
            
        } catch(e) {
            this.air.trace('Settings.loadSettings: ERROR: ' + e.message);
        }
        
    },
    
    'saveSettings': function() {
        this.air.trace('saveSettigs():');
        
        try {
            var bytes = new this.air.ByteArray();
            bytes.writeUTFBytes(this.iTunesXmlPath);
            if (bytes.length) {
                this.air.EncryptedLocalStore.setItem("iTunesXmlPath", bytes, true);
                this.air.trace('iTunesXmlPath' + this.air.EncryptedLocalStore.getItem("iTunesXmlPath"));
            }

            var bytes = new this.air.ByteArray();    
            bytes.writeUTFBytes(this.twitterUser);
            if (bytes.length) {
                this.air.EncryptedLocalStore.setItem("twitterUser", bytes, true);
            }
        
            var bytes = new this.air.ByteArray();    
            bytes.writeUTFBytes(this.twitterPass);
            if (bytes.length) {
                this.air.EncryptedLocalStore.setItem("twitterPass", bytes, true);
            }

            var bytes = new this.air.ByteArray();    
            bytes.writeInt(this.startAtLogin);
            if (bytes.length) {
                this.air.EncryptedLocalStore.setItem("startAtLogin", bytes, true);
            }
        } catch(e) {
            this.air.trace('Settings.saveSettings; ERROR: ' + e.message);
        }
    }
}
